#
# spec file for package perl-Class-Adapter
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Class-Adapter
Version:        1.09
Release:        1.22
%define cpan_name Class-Adapter
Summary:        Perl implementation of the "Adapter" Design Pattern
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Class-Adapter/
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The 'Class::Adapter' class is intended as an abstract base class for
creating any sort of class or object that follows the _Adapter_ pattern.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644
# MANUAL BEGIN
sed -i -e 's/use inc::Module::Install/use lib q[.];\nuse inc::Module::Install/' Makefile.PL
# MANUAL END

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING README
%license LICENSE

%changelog
* Wed Apr 11 2018 coolo@suse.com
- updated to 1.09
  see /usr/share/doc/packages/perl-Class-Adapter/Changes
* Tue Oct  3 2017 coolo@suse.com
- patch the Makefile to build with perl 5.26
* Wed Oct 26 2011 tabraham@novell.com
- updated to 1.08
  - Upgrading to Module::Install 1.00
  - Fixed #56492: [PATCH] Fix spelling error
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Sep  6 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
- remove Provides: perl-Class-Adapter-Builder
* Tue Aug 31 2010 pascal.bleser@opensuse.org
- spec rewrite
- update to 1.07:
  * upgrading to Module::Install 0.95
  * accidentally deleted Class::Adapter from the CPAN. erk!
* Thu Jul  2 2009 meissner@novell.com
- provide perl-Class-Adapter-Builder without %%name, just %%version
  (should fix bnc#512895)
* Wed Dec 24 2008 pascal.bleser@opensuse.org
- proper use of macros
- line-wrapping for %%description
- changed license to "Perl" instead of "Artistic"
- removed Manifest file from %%doc, added LICENSE
- changed Source: to fully-qualified URL, using pristine upstream
  .tar.gz instead of repackaged .tar.bz2
* Sun Nov 30 2008 lars@linux-schulserver.de
- initial version 1.05
